# Created by pyp2rpm-3.3.0
%global pypi_name nox-automation
%global with_python3 1
%define version 0.19.1

Name:           python-nox-automation
Version:        %{version}
Release:        %mkrel 5
Group:          Development/Python
Summary:        Flexible test automation

License:        ASL 2.0
URL:            https://nox.readthedocs.org
Source0:        https://pypi.io/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%if 0%{?with_python3}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%endif # if with_python3

Patch0:         nox-automation-0.18.2-fix-deps.patch

%description
nox is a command-line tool that automates testing in multiple Python
environments, similar to tox. Unlike tox, Nox uses a standard Python
file for configuration.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Flexible test automation

Requires:       python3-colorlog
Requires:       python3-jinja2
Requires:       python3-py
Requires:       python3-tox
Requires:       python3-virtualenv
Requires:       python3-setuptools
Requires:       python3-six

%description -n python3-%{pypi_name}
nox is a command-line tool that automates testing in multiple Python
environments, similar to tox. Unlike tox, Nox uses a standard Python
file for configuration.
%endif # with_python3


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
%if 0%{?with_python3}
%{py3_build}
%endif # with_python3


%install
%if 0%{?with_python3}
%{py3_install}
%endif # with_python3


%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/nox
%{_bindir}/tox-to-nox
%{python3_sitelib}/nox
%{python3_sitelib}/nox_automation-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.19.1-5.mga8
+ Revision: 1535069
- Mageia 8 Mass Rebuild

* Thu Oct 10 2019 tv <tv> 0.19.1-4.mga8
+ Revision: 1451054
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 0.19.1-3.mga7
+ Revision: 1351261
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.19.1-2.mga7
+ Revision: 1289485
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 kekepower <kekepower> 0.19.1-1.mga7
+ Revision: 1250841
- Update to version 0.19.1

* Mon May 28 2018 kekepower <kekepower> 0.19.0-1.mga7
+ Revision: 1232806
- Update to version 0.19.0
- Fix Source0 url

* Sat May 26 2018 kekepower <kekepower> 0.18.2-3.mga7
+ Revision: 1232349
- Fix dependencies

* Wed Feb 21 2018 kekepower <kekepower> 0.18.2-2.mga7
+ Revision: 1203905
- Use py2/py3 build/install macros
- Removed unnecessary Requires

* Mon Feb 19 2018 kekepower <kekepower> 0.18.2-1.mga7
+ Revision: 1203060
- imported package python-nox-automation

